@import "../base/variable.scss";
@import "../base/mixins.scss";

.engineered_solution_section{
    margin-top: 130px;
    .content_area{
        text-align: center;
        .header{
            h3{
                font-size: 48px;
                font-weight: 700;
                color: $light_blue;
            }
            p{
                font-size: 14px;
                line-height: 21px;
                padding-top: 30px;
            }
        }
    }
}
.circle_solution_section{
    margin-top: 75px;
    .content_area{
        .content_box{
            padding-top: 60px;
            .inner_area{
                background-color: $body-2;
                padding-top: 35px;
                padding-left: 30px;
                padding-bottom: 30px;
                padding-right: 60px;
                position: relative;
                max-height: 100%;
                p{
                    font-size: 14px;
                    font-weight: 400;
                    color: $secondary_color;
                    line-height: 22px;
                    word-break: break-all;
                }
                &::before{
                    content: "";
                    position: absolute;
                    border-top: 11px solid $light_blue;
                    top: 0;
                    left: 0;
                    width: 100%;
                }
            }
        }
        .circle_area{
            .inner_area{
                .image{
                    height: 474px;
                    width: 474px;
                    margin: 0 auto;
                    text-align: center;
                    border: 1px solid $secondary_color;
                    border-radius: 50%;
                    padding: 63px;
                    position: relative;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        border-radius: 50%;
                    
                    }
                    .circle{
                        width: 60px;
                        height: 60px;
                        border: 1px solid transparent;
                        background-color: $light_blue;
                        border-radius: 50%;
                        p{
                            color: $white;
                            font-size: 30px;
                            font-family: 400;
                            line-height: 56px;
                        }
                        &.circle_1{
                            position: absolute;
                            top: 127px;
                            left: -19px;
                            right: 0;
                        }
                        &.circle_2{
                            position: absolute;
                            bottom: 74px;
                            left: 14px;
                            right: 0;
                        }
                        &.circle_3{
                            position: absolute;
                            bottom: -29px;
                            left: 0;
                            right: 0;
                            margin: 0 auto;
                            text-align: center;
                        }
                        &.circle_4{
                            position: absolute;
                            bottom: 74px;
                            right: 14px;
                        }
                        &.circle_5{
                            position: absolute;
                            top: 127px;
                            right: -19px;
                        }
                    }
                }
            }
        }
    }
}
.accordian_section{
    margin-top: 100px;
    position: relative;
    z-index: 1;
    .solutions_detail_area{
        position: relative;
        z-index: 2;
        .accordion{
            .accordion-item{
                position: relative;
                z-index: 2;
                margin-bottom: 25px;
                border-radius: 0px;
                border: none;
                background-color: $white;      
                box-shadow: 0px 0px 20px 0px #00000040;
                h2{
                    // font-family: 'Montserrat';
                    .accordion-button{
                        position: relative;
                        z-index: 2;
                        border-radius: 0px;
                        padding: 20px 20px;
                        color:$black ;
                        font-weight: 600;
                        font-size: 18px;
                        box-shadow: none;
                        position: relative;
                        z-index: 2;
                        color: $light_blue;
                        background-color: $white;
                        &:after{
                            display: none;
                        }
                        &:before{
                            position: absolute;
                            z-index: 2;
                            content: '\f077';
                            font-family: 'Font Awesome 5 Pro';
                            font-weight: 500;
                            top: 0px;
                            right: 0;
                            width: 60px;
                            height: 60px;
                            text-align: center;
                            line-height: 60px;
                            border-radius: 0px;
                            color: $angle_up;
                        }
                        &.collapsed{
                            &:before{
                                content: '\f078';
                            }
                        }
                    }
                }
                .accordion-collapse{
                    .accordion-body{
                        padding: 30px;
                        border-top: 1px solid $border_line2;
                        p{
                            color: $offfspra2;
                            font-size: 14px;
                        }
                    }
                }
            }
        }
    }
}

.company_value_section{
    &.hide_bgcolor{
        &:after{
            content: none;
        }
        .content_area{
            .content_box{
                margin-bottom: 140px;
                .image_1{
                    top: -65px;
                    left: 12px;
                }
                .image_2{
                    top: -31px;
                    left: 67px;
                }
                .number{
                    top: -11px;
                    left:116px
                }
                .image_3{
                    position: relative;
                    left: -8px;
                    top: 2px;
                    width: 193px;
                }
                .inner_area{
                    background-color: $white;
                    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
                    p{
                        color: $light_blue;
                    }
                }
                .number{
                    h3{
                        color: $white;
                    }
                }
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    .company_value_section{
        &.hide_bgcolor{
            .content_area{
                .content_box{
                    .image_1{
                        top: -67px;
                    }
                    .image_2{
                        top: -34px;
                        left: 67px;
                    }
                    .number{
                        top: -11px;
                        left: 114px;
                    }
                    .image_3{
                        left: -9px;
                        width: 229px;
                    }
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
    
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .engineered_solution_section{
        margin-top: 30px;
        .content_area{
            .header{
                h3{
                    font-size: 40px;

                }
                p{
                    padding-top: 17px;
                }
            }
        }
    }
    .circle_solution_section{
        .content_area{
            .content_box{
                padding-top: 30px;

            }
        }
    }
    .accordian_section{
        margin-top: 60px;
    }
    .company_value_section{
        &.hide_bgcolor{
            .content_area{
                .header_area{
                    padding-top: 0;
                }
                .content_box{
                    margin-bottom: 65px;
                    .image_1{
                        top: -55px;
                        width: 146px;
                    }
                    .image_2{
                        top: -29px;
                        left: 56px;
                        width: 76px;
                    }
                    .number{
                        top: -14px;
                        left: 97px;
                    }
                    .image_3{
                        left: -7px;
                        width: 170px;

                    }
                }
            }
        }
    } 
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .engineered_solution_section{
        margin-top: 30px;
        .content_area{
            .header{
                h3{
                    font-size: 30px;
                }
                p{
                    padding-top: 12px;
                }
            }
        }
    }
    .circle_solution_section{
        margin-top: 10px;
        .content_area{
            .content_box{
                padding-top: 24px;
            }
        }
    }
    .accordian_section{
        margin-top: 40px;
        .solutions_detail_area{
            .accordion{
                .accordion-item{
                    margin-bottom: 15px;
                }
            }
        }
    }
    .company_value_section{
        &.hide_bgcolor{
            margin-bottom: 40px;
            .content_area{
                .header_area{
                    padding-top: 0;
                }
                .content_box{
                    margin-bottom: 0px;
                    .image_1{
                        top: -55px;
                        width: 146px;
                    }
                    .image_2{
                        top: -29px;
                        left: 56px;
                        width: 76px;
                    }
                    .number{
                        top: -7px;
                        left: 98px;
                    }
                    .image_3{
                        left: -7px;
                        width: 167px;

                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .engineered_solution_section{
        margin-top: 30px;
        .content_area{
            .header{
                h3{
                    font-size: 30px;
                }
                p{
                    padding-top: 12px;
                }
            }
        }
    }
    .circle_solution_section{
        margin-top: 10px;
        .content_area{
            .content_box{
                padding-top: 24px;
            }
        }
    }
    .accordian_section{
        margin-top: 40px;
        .solutions_detail_area{
            .accordion{
                .accordion-item{
                    margin-bottom: 15px;
                }
            }
        }
    }
    .company_value_section{
        &.hide_bgcolor{
            margin-bottom: 40px;
            .content_area{
                .header_area{
                    padding-top: 0;
                }
                .content_box{
                    margin-bottom: 0px;
                    .image_1{
                        top: -46px;
                        width: 122px;
                    }
                    .image_2{
                        top: -20px;
                        left: 48px;
                        width: 60px;
                    }
                    .number{
                        top: -5px;
                        left: 83px;
                    }
                    .image_3{
                        left: -6px;
                        width: 140px;

                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .engineered_solution_section{
        margin-top: 30px;
        .content_area{
            .header{
                h3{
                    font-size: 20px;
                }
                p{
                    padding-top: 12px;
                }
            }
        }
    }
    .circle_solution_section{
        margin-top: 10px;
        .content_area{
            .content_box{
                padding-top: 24px;
            }
        }
    }
    .accordian_section{   
        margin-top: 40px;
        .solutions_detail_area{
            .accordion{
                .accordion-item{
                    margin-bottom: 15px; 
                    h2{
                        .accordion-button{
                            font-size: 14px;
                            padding: 17px 17px;
                        }
                    }
                    .accordion-collapse{
                        .accordion-body{
                            padding: 17px;
                            p{
                                line-height: 22px;
                            }

                        }
                    }
                }
            }
        }
    }
    .company_value_section{
        &.hide_bgcolor{
            margin-top: 10px;
            padding-bottom: 30px;
            .content_area{
                .header_area{
                    padding-top: 0;
                }
                .content_box{
                    margin-bottom: 7px;
                    .image_1{
                        top: -52px;
                    }
                    .image_2{
                        top: -29px;
                        left: 46px;
                    }
                    .number{
                        top: -9px;
                        left: 91px;
                    }
                    .image_3{
                        left: -6px;
                        width: 156px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .engineered_solution_section{
        margin-top: 30px;
        .content_area{
            .header{
                h3{
                    font-size: 20px;
                }
                p{
                    padding-top: 12px;
                }
            }
        }
    }
    .circle_solution_section{
        margin-top: 10px;
        .content_area{
            .content_box{
                padding-top: 24px;
            }
        }
    }
    .accordian_section{   
        margin-top: 40px;
        .solutions_detail_area{
            .accordion{
                .accordion-item{
                    margin-bottom: 15px; 
                    h2{
                        .accordion-button{
                            font-size: 14px;
                            padding: 17px 17px;
                        }
                    }
                    .accordion-collapse{
                        .accordion-body{
                            padding: 17px;
                            p{
                                line-height: 22px;
                            }

                        }
                    }
                }
            }
        }
    }
    .company_value_section{
        &.hide_bgcolor{
            margin-top: 10px;
            padding-bottom: 30px;
            .content_area{
                .header_area{
                    padding-top: 0;
                }
                .content_box{
                    margin-bottom: 0px;
                    .image_1{
                        top: -47px;
                    }
                    .image_2{
                        top: -26px;
                        left: 45px;
                    }
                    .number{
                        top: -8px;
                        left: 85px;
                    }
                    .image_3{
                        left: -6px;
                        width: 148px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}